execute as @a[tag=!attackable] if score day daytime matches 1 run tag @a add attackable
schedule function wild_wolves:wolf_attack_countdown 5s
execute as @a if predicate wild_wolves:75_pct run scoreboard players add @s wolf_attack 1
execute store result score day daytime run time query day
scoreboard players set operator daytime 8
scoreboard players operation day daytime %= operator daytime
execute store result score night nighttime run time query daytime
execute as @a[tag=attackable] if score @s wolf_attack matches 100.. if score day daytime matches 0 if score night nighttime matches 13500..22200 run scoreboard players add @s wolf_attack_full_moon 1 
execute as @a[scores={wolf_attack_full_moon=1..},tag=!woken] if score @s wolf_attack matches 100.. at @s if score @s sleeping matches 1.. if score day daytime matches 0 run function wild_wolves:wake_up
execute as @a[scores={sleeping=1..}] if score day daytime matches 0 run scoreboard players set @a sleeping 0
execute as @a[scores={wolf_attack=500..}] run function wild_wolves:wolf_attack
execute as @a[scores={wolf_attack_full_moon=50..}] run function wild_wolves:wolf_attack
execute as @e[type=minecraft:item_display,tag=wolf] at @s unless entity @e[type=minecraft:wolf,tag=alpha,distance=0..5] run kill @s
execute at @e[type=wolf,tag=pack_member,tag=!tame,tag=alpha,tag=!load,nbt=!{AngerTime:0}] run playsound entity.wolf.growl hostile @a ~ ~ ~ 2 0.6
execute at @a if entity @e[type=wolf,tag=tame,tag=alpha,distance=0..16] run function wild_wolves:wolf_tame
execute as @e[type=wolf,tag=!tame] if data entity @s Owner run tag @s add tame
execute at @a if entity @e[type=wolf,tag=pack_member,tag=!tame,distance=0..24] run function wild_wolves:wolf_attack_functions
execute at @a if entity @e[type=#minecraft:illager,nbt={PatrolLeader:1b},tag=!load] run function wild_wolves:illager_wolf/illager_wolves_spawn
execute at @a if entity @e[type=minecraft:wolf,tag=illager_wolf,distance=0..24,tag=!tame] run function wild_wolves:illager_wolf/illager_wolves
execute at @a if entity @e[type=wolf,tag=den_wolf,tag=load] run function wild_wolves:den_wolf_spawn
execute as @a unless score day daytime matches 0 run tag @s remove woken